X Window Focus Functions
Ecore » Ecore_X - X11 Integration

Functions that give the focus to an X Window. More...

## Functions

void | ecore_x_window_focus (Ecore_X_Window win)
| Sets the focus to the window `win`.
void | ecore_x_window_focus_at_time (Ecore_X_Window win, Ecore_X_Time t)
| Sets the focus to the given window at a specific time.
Ecore_X_Window | ecore_x_window_focus_get (void)
| gets the window that has focus.

## Detailed Description

Functions that give the focus to an X Window.

## Function Documentation

## ecore_x_window_focus()

void ecore_x_window_focus | ( | Ecore_X_Window | win | ) |

Sets the focus to the window `win`.

Parameters

  win | The window to focus.

References ecore_x_sync().

## ecore_x_window_focus_at_time()

void ecore_x_window_focus_at_time | ( | Ecore_X_Window | win,
|  | Ecore_X_Time | t )

Sets the focus to the given window at a specific time.

Parameters

  win | The window to focus.
  t | When to set the focus to the window.

References ecore_x_sync().

## ecore_x_window_focus_get()

Ecore_X_Window ecore_x_window_focus_get | ( | void |  | ) |

gets the window that has focus.

Returns
  The window that has focus.